import { IconAlias, IconTemplate } from "./interfaces/icon-interfaces";
export declare class ClarityIconsApi {
    private static singleInstance;
    private constructor();
    static readonly instance: ClarityIconsApi;
    private validateName(name);
    private setIconTemplate(shapeName, shapeTemplate);
    private setIconAliases(templates, shapeName, aliasNames);
    add(icons?: IconTemplate): void;
    has(shapeName: string): boolean;
    get(shapeName?: string): any;
    _cacheAndRetrieve(iconElement: ClarityIconElement, shapeName: string, cachedIconName?: string): any;
    alias(aliases?: IconAlias): void;
}
